#32/64 specfile
#PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define prefix 		/usr
%define name 		xnretro
%define longname 	XnRetro
%define version 	1.26
%define release 	%mkrel 2
%define url 		http://www.xnview.com/en/xnretro/

Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		Freeware
Group:			Graphics
URL:			%{url}
Summary:		Vintage Camera Effects on your Desktop 
Summary(de):		Vintage-Kamera-Effekte auf Ihrem Desktop 
BuildRoot:		%{_tmppath}/%{name}-buildroot
Obsoletes:		%name < %version
AutoReqProv: 		no
%ifarch x86_64
Requires: ia32-libs
%endif

%description
XnRetro allows you to create stunning images with vintage or instant effect on your Desktop.

Features:

*  20 color effects
*  15 light effects such as bokeh, leak
*  28 frame borders
*  Adjustement like contrast, gamma, saturation, ...
*  Vignetting
*  Noise
*  Save or share the result




#german
%description -l de
XnRetro erlaubt es Ihnen beeindruckende Bilder mit Vintage-Effekten oder Soforteffekten auf Ihrem Desktop PC zu erstellen.

Features:

* 20 Farbeffekte
* 15 Lichteffekte wie Bokeh, Leak
* 28 Bilderrahmen
* Kontrast, Gamma und Sättigung adjustierbar ...
* Vignettierung
* Körnung
* Ergebnis teilen oder sichern




%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}
cd %{buildroot}%{_datadir}
#%ifarch x86_64
#wget -O - "http://download.xnview.com/XnRetro-linux-x64.tgz" | tar xzf -
#%endif
#%ifarch %ix86
wget -O - "http://download.xnview.com/XnRetro-linux.tgz" | tar xzf -
#%endif
chmod 0755 %{buildroot}%{_datadir}/XnRetro/%{name}.sh
chmod 0644 %{buildroot}%{_datadir}/XnRetro/%{name}.png


mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Terminal=0
Exec=/usr/share/XnRetro/%{name}.sh
Icon=/usr/share/XnRetro/%{name}.png
Type=Application
Categories=Graphics;Utility;Core;GTK;Viewer;RasterGraphics;2DGraphics;Photography;X-MandrivaLinux-Multimedia-Graphics;
StartupNotify=true
Name=XnRetro
Comment=%{summary}
Comment[de]=%{summary}
GenericName=XnRetro
EOF

%post
%{update_desktop_database}


%postun
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_datadir}/%{longname}/*
%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}

%changelog
* Fri Feb 14 2014 bb <bb> 1.26-2pclos2014
- add dep ia32-libs for 64bit

* Fri Feb 14 2014 daniel <meisssw01 at gmail.com> 1.26-1free2014
- initial pkg
